KDE 4.7 PyKDE API Reference

- KDE's Python API

# CSSStyleRule Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.CSSRule
Namespace: DOM

## Detailed Description

The CSSStyleRule interface represents a single <a href="http://www.w3.org/TR/REC-CSS2/syndata.html#q8"> rule set in a CSS style sheet.

## Methods
| __init__ (self)
| __init__ (self, DOM.CSSStyleRule other)
| __init__ (self, DOM.CSSRule other)
DOM.DOMString | selectorText (self)
| setSelectorText (self, DOM.DOMString a0)
DOM.CSSStyleDeclaration | style (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.CSSStyleRule | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.CSSRule | other
| ) |  |  |

DOM.DOMString selectorText | ( |  | self ) |

The textual representation of the <a href="http://www.w3.org/TR/REC-CSS2/selector.html"> selector for the rule set. The implementation may have stripped out insignificant whitespace while parsing the selector.

setSelectorText | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see selectorText CSSException SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

DOMException NO_MODIFICATION_ALLOWED_ERR: Raised if this style sheet is readonly.

DOM.CSSStyleDeclaration style | ( |  | self ) |

The declaration-block of this rule set.